use std::path::Path;

use color_eyre::eyre::Result;
use serde::Deserialize;

#[derive(Deserialize, Debug, Clone)]
pub(crate) struct Config {
    pub access_token: String,
    pub channel: String,
    pub homeserver: String,
}

pub(crate) fn get_config(file: Option<&str>) -> Result<Config> {
    let file = &Path::new(file.unwrap_or("/etc/mailing-list/matrix.toml"));
    let file_contents = String::from_utf8(std::fs::read(file)?)?;
    return Ok(toml::from_str(&file_contents)?);
}
